=== debian/control ===
Source: dkim-rotate
Build-Depends: pandoc, debhelper (>= 13),
# @@@ runtime Depends
	libgetopt-long-descriptive-perl, libmime-tools-perl, openssl,
# @@@ runtime Recommends
	curl,
# @@@ testing Depends
        faketime,
Maintainer: Ian Jackson <ijackson@chiark.greenend.org.uk>
Section: mail
Priority: optional
Standards-Version: 4.6.1

Package: dkim-rotate
Architecture: all
Depends: bash (>= 4),
	${misc:Depends}, ${perl:Depends}, ${extracted:runtime:Depends}
Recommends: moreutils,
        ${extracted:runtime:Recommends}
Description: dkim-rotate - rotating and publishing DKIM email keys
 Manages a rotating collection of DKIM mail signing keys,
 advertising them via the DNS, and revealing the private halves of old
 keys so as to avoid making email non-repudiable.
