=== debian/rules ===
#!/usr/bin/make -f
# Copyright 2022 Ian Jackson and contributors to dkim-rotate
# SPDX-License-Identifier: GPL-3.0-or-later
# There is NO WARRANTY.

p=dkim-rotate
d=debian/$p

%:
	dh "$@"

override_dh_installcron:
	cp crontab debian/$p.cron.d
	dh_installcron -i

override_dh_gencontrol:
	debian/extract-deps runtime:Depends runtime:Recommends \
		>debian/extracted.substvars
	dh_gencontrol -i -- -Tdebian/extracted.substvars

debian/tests/control: debian/tests/control.in debian/control debian/deps.pl
	$< >$@.tmp && mv -f $@.tmp $@
