## dkim-rotate 1.0

=== debian/changelog ===
dkim-rotate (1.0) unstable; urgency=medium

  Documentation fixes:
  * dkim-rotate(5): Fix default for `dkim_txt` to be accurate.
  * Fix some typos and a formatting botch.

  * Declare 1.0.

 -- Ian Jackson <ijackson@chiark.greenend.org.uk>  Mon, 14 Aug 2023 19:11:16 +0100
