## dkim-rotate 1.1

=== debian/changelog ===
dkim-rotate (1.1) unstable; urgency=medium

  Important bugfix:
  * Fix reload failure handling with multiple reload-neededs.
    Closes: #1064452.  [Report from Daniel Gröber]

  Documentation etc.:
  * Correct spelling mistakes in docs etc.  [MR !1 from Edward Betts]
  * example.zone: Clarify commented directive.  [Report from Daniel Gröber]
  * dkim-rotate(5): Add a SEE ALSO referencing the example config.
  * debian/control: Improve description.

  Tests:
  * tests: Test spurious "corrupted state" bug #1064452.

 -- Ian Jackson <ijackson@chiark.greenend.org.uk>  Sun, 25 Feb 2024 01:32:47 +0000
