=== debian/control ===
--- 
+++ 
@@ -17,7 +17,7 @@
 	${misc:Depends}, ${perl:Depends}, ${extracted:runtime:Depends}
 Recommends: moreutils,
         ${extracted:runtime:Recommends}
-Description: dkim-rotate - rotating and publishing DKIM email keys
+Description: Rotate and publishe DKIM email keys
  Manages a rotating collection of DKIM mail signing keys,
  advertising them via the DNS, and revealing the private halves of old
  keys so as to avoid making email non-repudiable.
