=== debian/tests/control ===
Tests: faketime
Restrictions: allow-stderr
Depends: @, curl, faketime

Tests: mindeps
Restrictions: needs-root, allow-stderr
Depends: @, curl
